import os.path


BASE_DIR = os.path.dirname(os.path.dirname(__file__))
SRC_DIR = os.path.join(BASE_DIR, 'src')
HOST_DIR = os.path.abspath(
    os.getenv('RNR_HOST_DIR', os.path.abspath(
        os.path.join(BASE_DIR, os.path.pardir, os.path.pardir))))
LOGS_DIR = os.path.abspath(
    os.getenv('RNR_LOGS_DIR', os.path.abspath(
        os.path.join(BASE_DIR, os.path.pardir)) + '-logs'))
OOPS_DIR = os.path.join(LOGS_DIR, 'www-oops')

ABSOLUTE_URL_OVERRIDES = {}
ADMINS = []
ADMIN_FOR = []
ALLOWED_HOSTS = ['.ubuntu.com']
ALLOWED_INCLUDE_ROOTS = []
ALLOW_MULTIPLE_REVIEWS_FOR_TESTING = False
API_REVIEWS_PAGINATION = 10
APPEND_SLASH = True
AUTHENTICATION_BACKENDS = [
    'django_openid_auth.auth.OpenIDBackend',
    'django.contrib.auth.backends.ModelBackend',
]
AUTH_USER_MODEL = 'auth.User'
CACHES = {'default': {
    'BACKEND': 'django.core.cache.backends.locmem.LocMemCache'}}
CACHE_MIDDLEWARE_ALIAS = 'default'
CACHE_MIDDLEWARE_KEY_PREFIX = ''
CACHE_MIDDLEWARE_SECONDS = 300
CACHE_REVIEW_STATS_SECONDS = 14400
CLICK_INDEX_API_URI = 'http://search.apps.staging.ubuntu.com/api/v1/'
COMMENTS_ALLOW_PROFANITIES = False
CSRF_COOKIE_DOMAIN = None
CSRF_COOKIE_HTTPONLY = False
CSRF_COOKIE_NAME = 'csrftoken'
CSRF_COOKIE_PATH = '/'
CSRF_COOKIE_SECURE = False
CSRF_FAILURE_VIEW = 'django.views.csrf.csrf_failure'
DATABASES = {
    'default': {
        'ENGINE': 'django.db.backends.sqlite3',
        'AUTOCOMMIT': True,
        'ATOMIC_REQUESTS': False,
        'NAME': 'reviews.sql3',
        'TEST_MIRROR': None,
        'CONN_MAX_AGE': 0,
        'TEST_NAME': None,
        'TIME_ZONE': 'UTC',
        'TEST_COLLATION': None,
        'OPTIONS': {},
        'HOST': '',
        'USER': 'postgres',
        'TEST_CHARSET': None,
        'PASSWORD': '',
        'PORT': '',
    }
}
DATABASE_ROUTERS = []
DATETIME_FORMAT = 'N j, Y, P'
DATETIME_INPUT_FORMATS = [
    '%Y-%m-%d %H:%M:%S',
    '%Y-%m-%d %H:%M:%S.%f',
    '%Y-%m-%d %H:%M',
    '%Y-%m-%d',
    '%m/%d/%Y %H:%M:%S',
    '%m/%d/%Y %H:%M:%S.%f',
    '%m/%d/%Y %H:%M',
    '%m/%d/%Y',
    '%m/%d/%y %H:%M:%S',
    '%m/%d/%y %H:%M:%S.%f',
    '%m/%d/%y %H:%M',
    '%m/%d/%y',
]
DATE_FORMAT = 'N j, Y'
DATE_INPUT_FORMATS = [
    '%Y-%m-%d',
    '%m/%d/%Y',
    '%m/%d/%y',
    '%b %d %Y',
    '%b %d, %Y',
    '%d %b %Y',
    '%d %b, %Y',
    '%B %d %Y',
    '%B %d, %Y',
    '%d %B %Y',
    '%d %B, %Y',
]
DEBUG = False
DEBUG_PROPAGATE_EXCEPTIONS = False
DECIMAL_SEPARATOR = '.'
DEFAULT_CHARSET = 'utf-8'
DEFAULT_CONTENT_TYPE = 'text/html'
DEFAULT_EXCEPTION_REPORTER_FILTER = (
    'django.views.debug.SafeExceptionReporterFilter')
DEFAULT_FILE_STORAGE = 'django.core.files.storage.FileSystemStorage'
DEFAULT_FROM_EMAIL = 'webmaster@localhost'
DEFAULT_INDEX_TABLESPACE = ''
DEFAULT_TABLESPACE = ''
DEFAULT_TIMEOUT = None
DISALLOWED_USER_AGENTS = []
EMAIL_BACKEND = 'django.core.mail.backends.smtp.EmailBackend'
EMAIL_HOST = 'localhost'
EMAIL_HOST_PASSWORD = ''
EMAIL_HOST_USER = ''
EMAIL_PORT = 25
EMAIL_SUBJECT_PREFIX = '[Django] '
EMAIL_USE_TLS = False
ENABLE_ARTIFICIAL_OOPS = True
ENABLE_GZIP_CONTENT = True
ENABLE_HISTOGRAM_DATA = True
EXTRA_PYTHONPATH = []
FILE_CHARSET = 'utf-8'
FILE_UPLOAD_HANDLERS = [
    'django.core.files.uploadhandler.MemoryFileUploadHandler',
    'django.core.files.uploadhandler.TemporaryFileUploadHandler',
]
FILE_UPLOAD_MAX_MEMORY_SIZE = 2621440
FILE_UPLOAD_PERMISSIONS = None
FILE_UPLOAD_TEMP_DIR = None
FIRST_DAY_OF_WEEK = 0
FIXTURE_DIRS = []
FORCE_HTTPS_IN_ENVIRONMENT = True
FORCE_SCRIPT_NAME = None
FORMAT_MODULE_PATH = None
IGNORABLE_404_URLS = []
INSTALLED_APPS = [
    'adminaudit',
    'django.contrib.admin',
    'django.contrib.auth',
    'django.contrib.contenttypes',
    'django.contrib.sessions',
    'django.contrib.sites',
    'django_openid_auth',
    'core',
    'reviewsapp',
    'clickreviews',
    'south',
    'piston',
    'preflight',
    'pgtools',
]
INTERNAL_IPS = []
LANGUAGES = [
    ['ar', 'Arabic'],
    ['az', 'Azerbaijani'],
    ['bg', 'Bulgarian'],
    ['bn', 'Bengali'],
    ['bs', 'Bosnian'],
    ['ca', 'Catalan'],
    ['cs', 'Czech'],
    ['cy', 'Welsh'],
    ['da', 'Danish'],
    ['de', 'German'],
    ['el', 'Greek'],
    ['en', 'English'],
    ['en-gb', 'British English'],
    ['eo', 'Esperanto'],
    ['es', 'Spanish'],
    ['es-ar', 'Argentinian Spanish'],
    ['es-mx', 'Mexican Spanish'],
    ['es-ni', 'Nicaraguan Spanish'],
    ['et', 'Estonian'],
    ['eu', 'Basque'],
    ['fa', 'Persian'],
    ['fi', 'Finnish'],
    ['fr', 'French'],
    ['fy-nl', 'Frisian'],
    ['ga', 'Irish'],
    ['gl', 'Galician'],
    ['he', 'Hebrew'],
    ['hi', 'Hindi'],
    ['hr', 'Croatian'],
    ['hu', 'Hungarian'],
    ['id', 'Indonesian'],
    ['is', 'Icelandic'],
    ['it', 'Italian'],
    ['ja', 'Japanese'],
    ['ka', 'Georgian'],
    ['kk', 'Kazakh'],
    ['km', 'Khmer'],
    ['kn', 'Kannada'],
    ['ko', 'Korean'],
    ['lt', 'Lithuanian'],
    ['lv', 'Latvian'],
    ['mk', 'Macedonian'],
    ['ml', 'Malayalam'],
    ['mn', 'Mongolian'],
    ['nb', 'Norwegian Bokmal'],
    ['ne', 'Nepali'],
    ['nl', 'Dutch'],
    ['nn', 'Norwegian Nynorsk'],
    ['pa', 'Punjabi'],
    ['pl', 'Polish'],
    ['pt', 'Portuguese'],
    ['pt-br', 'Brazilian Portuguese'],
    ['ro', 'Romanian'],
    ['ru', 'Russian'],
    ['sk', 'Slovak'],
    ['sl', 'Slovenian'],
    ['sq', 'Albanian'],
    ['sr', 'Serbian'],
    ['sr-latn', 'Serbian Latin'],
    ['sv', 'Swedish'],
    ['sw', 'Swahili'],
    ['ta', 'Tamil'],
    ['te', 'Telugu'],
    ['th', 'Thai'],
    ['tr', 'Turkish'],
    ['tt', 'Tatar'],
    ['uk', 'Ukrainian'],
    ['ur', 'Urdu'],
    ['vi', 'Vietnamese'],
    ['zh-cn', 'Simplified Chinese'],
    ['zh-tw', 'Traditional Chinese'],
]
LANGUAGES_BIDI = ['he', 'ar', 'fa']
LANGUAGE_CODE = 'en-us'
LANGUAGE_COOKIE_NAME = 'django_language'
LAUNCHPADLIB_DIR = os.path.join(
    HOST_DIR, 'var', 'launchpadlibcache')
LOCALE_PATHS = []
LOGGING = {
    'loggers': {
        'root': {
            'handlers': ['file'],
            'propagate': False,
            'filters': [],
            'level': 'DEBUG',
        },
        'django.request': {
            'qualname': 'django.request',
            'handlers': ['file'],
            'propagate': False,
            'filters': [],
            'level': 'ERROR',
        },
        'django': {
            'level': 'WARNING',
            'propagate': False,
            'filters': [],
            'handlers': ['null'],
        },
    },
    'disable_existing_loggers': False,
    'handlers': {
        'null': {
            'formatter': '',
            'class': 'django.utils.log.NullHandler',
            'filters': '',
            'level': 'WARNING',
        },
        'file': {
            'level': 'DEBUG',
            'formatter': 'simple',
            'class': 'logging.FileHandler',
            'filters': '',
            'filename': os.path.join(LOGS_DIR, 'rnr.log'),
        },
    },
    'incremental': False,
    'formatters': {
        'simple': {
            'datefmt': None,
            'format': '%(asctime)s - %(name)s - %(levelname)s - %(message)s',
        },
    },
    'version': 1,
    'filters': {},
    'root': {
        'level': 'WARNING',
        'filters': [],
        'handlers': ['null'],
    },
}
LOGGING_CONFIG = 'django.utils.log.dictConfig'
LOGIN_REDIRECT_URL = '/'
LOGIN_URL = '/openid/login/'
LOGOUT_URL = '/accounts/logout/'
LP_CONSUMER_NAME = 'Ratings and Reviews'
LP_SERVICE = 'production'
MANAGERS = []
MEDIA_ROOT = ''
MEDIA_URL = '/site_media/'
MESSAGE_STORAGE = 'django.contrib.messages.storage.fallback.FallbackStorage'
MIDDLEWARE_CLASSES = [
    'django.middleware.http.ConditionalGetMiddleware',
    'django.middleware.cache.UpdateCacheMiddleware',
    'django.middleware.common.CommonMiddleware',
    'django.middleware.csrf.CsrfViewMiddleware',
    'django.contrib.sessions.middleware.SessionMiddleware',
    'django.contrib.auth.middleware.AuthenticationMiddleware',
    'django.middleware.cache.FetchFromCacheMiddleware',
    'django.contrib.messages.middleware.MessageMiddleware',
    'reviewsapp.middleware.timeouts.SoftTimeoutMiddleware',
    'reviewsapp.middleware.stats.GraphiteMiddleware',
]
MODERATORS_GROUP = 'rnr-moderators'
MODIFY_WINDOW_MINUTES = 120
MONTH_DAY_FORMAT = 'F j'
NON_PPA_ARCHIVE_ROOTS = {
    'http://extras.ubuntu.com/': 'lp-ppa-app-review-board',
    'http://archive.canonical.com/': 'canonical',
}
NUMBER_GROUPING = 0
OOPSES = {
    'publishers': [{
        'inherit_id': False,
        'error_dir': OOPS_DIR,
        'type': 'datedir',
        'new_only': False,
    }],
    'template': {'reporter': 'DEFAULT'},
}
OPENID_CREATE_USERS = True
OPENID_LAUNCHPAD_STAFF_TEAMS = []
OPENID_REUSE_USERS = True
OPENID_SET_LANGUAGE_FROM_SREG = False
OPENID_SREG_EXTRA_FIELDS = []
OPENID_SREG_REQUIRED_FIELDS = []
OPENID_SSO_SERVER_URL = 'https://login.staging.ubuntu.com/'
OPENID_UPDATE_DETAILS_FROM_SREG = True
PASSWORD_HASHERS = [
    'django.contrib.auth.hashers.PBKDF2PasswordHasher',
    'django.contrib.auth.hashers.PBKDF2SHA1PasswordHasher',
    'django.contrib.auth.hashers.BCryptPasswordHasher',
    'django.contrib.auth.hashers.SHA1PasswordHasher',
    'django.contrib.auth.hashers.MD5PasswordHasher',
    'django.contrib.auth.hashers.UnsaltedSHA1PasswordHasher',
    'django.contrib.auth.hashers.UnsaltedMD5PasswordHasher',
    'django.contrib.auth.hashers.CryptPasswordHasher',
]
PASSWORD_RESET_TIMEOUT_DAYS = 3
PGCONNECT_TIMEOUT = 10
PISTON_DISPLAY_ERRORS = False
PISTON_EMAIL_ERRORS = False
PREFLIGHT_BASE_TEMPLATE = 'light/index.1col.html'
PREFLIGHT_TABLE_CLASS = 'listing'
PRELOAD_API_SERVICE_ROOTS = False
PREPEND_WWW = False
PROFANITIES_LIST = []
REVIEWSAPP_MEDIA_ROOT = os.path.join(SRC_DIR, 'reviewsapp', 'media')
ROOT_URLCONF = 'urls'
SCA_APPS_CACHE_TIMEOUT = 3600
SCA_DELEGATED_SSO_SECRET = ''
SCA_HOST_URL = 'https://sc.staging.ubuntu.com/'
SECURE_PROXY_SSL_HEADER = None
SEND_BROKEN_LINK_EMAILS = False
SERVER_EMAIL = 'root@localhost'
SERVE_STATIC_MEDIA = False
SESSION_CACHE_ALIAS = 'default'
SESSION_COOKIE_AGE = 1209600
SESSION_COOKIE_DOMAIN = None
SESSION_COOKIE_HTTPONLY = True
SESSION_COOKIE_NAME = 'sessionid'
SESSION_COOKIE_PATH = '/'
SESSION_COOKIE_SECURE = False
SESSION_ENGINE = 'django.contrib.sessions.backends.db'
SESSION_EXPIRE_AT_BROWSER_CLOSE = False
SESSION_FILE_PATH = None
SESSION_SAVE_EVERY_REQUEST = False
SESSION_SERIALIZER = 'django.contrib.sessions.serializers.PickleSerializer'
SETTINGS_ENCODING = 'utf-8'
SETTINGS_MODULE = 'django_project.settings'
SHORT_DATETIME_FORMAT = 'm/d/Y P'
SHORT_DATE_FORMAT = 'm/d/Y'
SIGNING_BACKEND = 'django.core.signing.TimestampSigner'
SITE_ID = 1
SOFT_REQUEST_TIMEOUT = 20
SOFT_TIMEOUT_MILLISECONDS = 10000
SSO_API_SERVICE_ROOT = 'https://login.staging.ubuntu.com/api/v2'
SSO_UPDATE_WINDOW = 86400
SSO_V2_API_TOKEN_DATA = {
    'consumer_secret': '',
    'consumer_key': '',
    'token_secret': '',
    'token_key': '',
}
STATICFILES_DIRS = []
STATICFILES_FINDERS = [
    'django.contrib.staticfiles.finders.FileSystemFinder',
    'django.contrib.staticfiles.finders.AppDirectoriesFinder',
]
STATICFILES_STORAGE = 'django.contrib.staticfiles.storage.StaticFilesStorage'
STATIC_ROOT = ''
STATIC_URL = '/static/'
TEMPLATE_CONTEXT_PROCESSORS = [
    'django.contrib.auth.context_processors.auth',
    'django.core.context_processors.debug',
    'django.core.context_processors.i18n',
    'django.core.context_processors.media',
    'django.core.context_processors.static',
    'django.core.context_processors.tz',
    'django.contrib.messages.context_processors.messages',
]
TEMPLATE_DEBUG = False
TEMPLATE_DIRS = [
    os.path.join(SRC_DIR, 'reviewsapp', 'templates'),
    os.path.join(BASE_DIR, 'branches', 'django-web-themes'),
    os.path.join(BASE_DIR, 'branches', 'django-web-themes', 'openid_admin'),
]
TEMPLATE_LOADERS = [
    'django.template.loaders.filesystem.Loader',
    'django.template.loaders.app_directories.Loader',
    'django.template.loaders.eggs.Loader',
]
TEMPLATE_STRING_IF_INVALID = ''
TEST_RUNNER = 'django.test.runner.DiscoverRunner'
THOUSAND_SEPARATOR = ','
TIME_FORMAT = 'P'
TIME_INPUT_FORMATS = ['%H:%M:%S', '%H:%M']
TIME_ZONE = 'UTC'
TOKEN_CACHE_EXPIRY_HOURS = 4
TRANSACTIONS_MANAGED = False
TXSTATSD_HOST = 'localhost'
TXSTATSD_INSTANCE_TYPE = 'staging'
TXSTATSD_PORT = 8125
USE_ETAGS = False
USE_I18N = True
USE_L10N = True
USE_THOUSAND_SEPARATOR = False
USE_TZ = True
USE_X_FORWARDED_HOST = True
WSGI_APPLICATION = 'wsgi.application'
X_FRAME_OPTIONS = 'SAMEORIGIN'
YEAR_MONTH_FORMAT = 'F Y'
