import os
import django
import preflight

from django.conf.urls import patterns, include

# Uncomment the next two lines to enable the admin:
from django.conf import settings
from django.contrib import admin
from django.views.generic import RedirectView

handler500 = 'reviewsapp.views.moderation.server_error'
handler404 = 'reviewsapp.views.moderation.page_not_found'

admin.autodiscover()
preflight.autodiscover()

urlpatterns = patterns('',
    # Uncomment the next line to enable the admin:
    (r'^admin/', include(admin.site.urls)),

    # openid
    (r'^openid/', include('django_openid_auth.urls')),

    # reviewsapp
    (r'^reviews/', include('reviewsapp.urls')),
    (r'^click/api/', include('clickreviews.api.urls')),
    (r'^$', RedirectView.as_view(url='/reviews/')),

    # preflight & versions
    (r'^preflight/$', include('preflight.urls')),
)

# dynamically add urls for serving static media
if settings.SERVE_STATIC_MEDIA:
    urlpatterns += patterns('',
        (r'^assets/reviewsapp/(.*)', 'django.views.static.serve',
            {'document_root': settings.REVIEWSAPP_MEDIA_ROOT}),
        (r'^assets/light/(.*)', 'django.views.static.serve',
            {'document_root': settings.MEDIA_ROOT}),
    )

if settings.DEBUG:
    urlpatterns += patterns(
        '',
        (r'^static/admin/(?P<path>.*)$', 'django.views.static.serve',
            {'document_root': os.path.join(os.path.dirname(django.__file__),
                'contrib/admin/static/admin/')}),
    )
