# -*- coding: utf-8 -*-
import datetime
from south.db import db
from south.v2 import SchemaMigration
from django.db import models


class Migration(SchemaMigration):

    def forwards(self, orm):
        # Adding model 'ClickPackage'
        db.create_table(u'clickreviews_clickpackage', (
            (u'id', self.gf('django.db.models.fields.AutoField')(primary_key=True)),
            ('ratings_total', self.gf('django.db.models.fields.IntegerField')(default=0)),
            ('ratings_average', self.gf('django.db.models.fields.DecimalField')(default=0, max_digits=3, decimal_places=2)),
            ('histogram', self.gf('django.db.models.fields.CharField')(max_length=64, null=True, blank=True)),
            ('date_ratings_updated', self.gf('django.db.models.fields.DateTimeField')(default=datetime.datetime(2014, 1, 27, 0, 0))),
            ('package_name', self.gf('django.db.models.fields.CharField')(unique=True, max_length=255)),
        ))
        db.send_create_signal('clickreviews', ['ClickPackage'])

        # Adding model 'ClickPackageReview'
        db.create_table(u'clickreviews_clickpackagereview', (
            (u'id', self.gf('django.db.models.fields.AutoField')(primary_key=True)),
            ('click_package', self.gf('django.db.models.fields.related.ForeignKey')(to=orm['clickreviews.ClickPackage'])),
            ('version', self.gf('core.fields.DebVersionField')(max_length=100, db_index=True)),
            ('architecture', self.gf('django.db.models.fields.related.ForeignKey')(to=orm['reviewsapp.Architecture'])),
            ('reviewer', self.gf('django.db.models.fields.related.ForeignKey')(to=orm['auth.User'])),
            ('date_created', self.gf('django.db.models.fields.DateTimeField')(default=datetime.datetime(2014, 1, 27, 0, 0))),
            ('rating', self.gf('core.fields.IntegerRangeField')()),
            ('summary', self.gf('django.db.models.fields.CharField')(max_length=80)),
            ('review_text', self.gf('django.db.models.fields.CharField')(max_length=5000)),
            ('language', self.gf('django.db.models.fields.SlugField')(max_length=10)),
            ('hide', self.gf('django.db.models.fields.BooleanField')(default=False, db_index=True)),
            ('date_deleted', self.gf('django.db.models.fields.DateTimeField')(null=True, blank=True)),
            ('usefulness_total', self.gf('django.db.models.fields.IntegerField')(default=0)),
            ('usefulness_favorable', self.gf('django.db.models.fields.IntegerField')(default=0)),
            ('usefulness_percentage', self.gf('django.db.models.fields.IntegerField')(default=0)),
            ('usefulness_wilson_rating', self.gf('django.db.models.fields.FloatField')(default=0.0)),
        ))
        db.send_create_signal(u'clickreviews', ['ClickPackageReview'])


    def backwards(self, orm):
        # Deleting model 'ClickPackage'
        db.delete_table(u'clickreviews_clickpackage')

        # Deleting model 'ClickPackageReview'
        db.delete_table(u'clickreviews_clickpackagereview')


    models = {
        u'auth.group': {
            'Meta': {'object_name': 'Group'},
            u'id': ('django.db.models.fields.AutoField', [], {'primary_key': 'True'}),
            'name': ('django.db.models.fields.CharField', [], {'unique': 'True', 'max_length': '80'}),
            'permissions': ('django.db.models.fields.related.ManyToManyField', [], {'to': u"orm['auth.Permission']", 'symmetrical': 'False', 'blank': 'True'})
        },
        u'auth.permission': {
            'Meta': {'ordering': "(u'content_type__app_label', u'content_type__model', u'codename')", 'unique_together': "((u'content_type', u'codename'),)", 'object_name': 'Permission'},
            'codename': ('django.db.models.fields.CharField', [], {'max_length': '100'}),
            'content_type': ('django.db.models.fields.related.ForeignKey', [], {'to': u"orm['contenttypes.ContentType']"}),
            u'id': ('django.db.models.fields.AutoField', [], {'primary_key': 'True'}),
            'name': ('django.db.models.fields.CharField', [], {'max_length': '50'})
        },
        u'auth.user': {
            'Meta': {'object_name': 'User'},
            'date_joined': ('django.db.models.fields.DateTimeField', [], {'default': 'datetime.datetime.now'}),
            'email': ('django.db.models.fields.EmailField', [], {'max_length': '75', 'blank': 'True'}),
            'first_name': ('django.db.models.fields.CharField', [], {'max_length': '30', 'blank': 'True'}),
            'groups': ('django.db.models.fields.related.ManyToManyField', [], {'to': u"orm['auth.Group']", 'symmetrical': 'False', 'blank': 'True'}),
            u'id': ('django.db.models.fields.AutoField', [], {'primary_key': 'True'}),
            'is_active': ('django.db.models.fields.BooleanField', [], {'default': 'True'}),
            'is_staff': ('django.db.models.fields.BooleanField', [], {'default': 'False'}),
            'is_superuser': ('django.db.models.fields.BooleanField', [], {'default': 'False'}),
            'last_login': ('django.db.models.fields.DateTimeField', [], {'default': 'datetime.datetime.now'}),
            'last_name': ('django.db.models.fields.CharField', [], {'max_length': '30', 'blank': 'True'}),
            'password': ('django.db.models.fields.CharField', [], {'max_length': '128'}),
            'user_permissions': ('django.db.models.fields.related.ManyToManyField', [], {'to': u"orm['auth.Permission']", 'symmetrical': 'False', 'blank': 'True'}),
            'username': ('django.db.models.fields.CharField', [], {'unique': 'True', 'max_length': '30'})
        },
        'clickreviews.clickpackage': {
            'Meta': {'object_name': 'ClickPackage'},
            'date_ratings_updated': ('django.db.models.fields.DateTimeField', [], {'default': 'datetime.datetime(2014, 1, 27, 0, 0)'}),
            'histogram': ('django.db.models.fields.CharField', [], {'max_length': '64', 'null': 'True', 'blank': 'True'}),
            u'id': ('django.db.models.fields.AutoField', [], {'primary_key': 'True'}),
            'package_name': ('django.db.models.fields.CharField', [], {'unique': 'True', 'max_length': '255'}),
            'ratings_average': ('django.db.models.fields.DecimalField', [], {'default': '0', 'max_digits': '3', 'decimal_places': '2'}),
            'ratings_total': ('django.db.models.fields.IntegerField', [], {'default': '0'})
        },
        u'clickreviews.clickpackagereview': {
            'Meta': {'object_name': 'ClickPackageReview'},
            'architecture': ('django.db.models.fields.related.ForeignKey', [], {'to': "orm['reviewsapp.Architecture']"}),
            'click_package': ('django.db.models.fields.related.ForeignKey', [], {'to': "orm['clickreviews.ClickPackage']"}),
            'date_created': ('django.db.models.fields.DateTimeField', [], {'default': 'datetime.datetime(2014, 1, 27, 0, 0)'}),
            'date_deleted': ('django.db.models.fields.DateTimeField', [], {'null': 'True', 'blank': 'True'}),
            'hide': ('django.db.models.fields.BooleanField', [], {'default': 'False', 'db_index': 'True'}),
            u'id': ('django.db.models.fields.AutoField', [], {'primary_key': 'True'}),
            'language': ('django.db.models.fields.SlugField', [], {'max_length': '10'}),
            'rating': ('core.fields.IntegerRangeField', [], {}),
            'review_text': ('django.db.models.fields.CharField', [], {'max_length': '5000'}),
            'reviewer': ('django.db.models.fields.related.ForeignKey', [], {'to': u"orm['auth.User']"}),
            'summary': ('django.db.models.fields.CharField', [], {'max_length': '80'}),
            'usefulness_favorable': ('django.db.models.fields.IntegerField', [], {'default': '0'}),
            'usefulness_percentage': ('django.db.models.fields.IntegerField', [], {'default': '0'}),
            'usefulness_total': ('django.db.models.fields.IntegerField', [], {'default': '0'}),
            'usefulness_wilson_rating': ('django.db.models.fields.FloatField', [], {'default': '0.0'}),
            'version': ('core.fields.DebVersionField', [], {'max_length': '100', 'db_index': 'True'})
        },
        u'contenttypes.contenttype': {
            'Meta': {'ordering': "('name',)", 'unique_together': "(('app_label', 'model'),)", 'object_name': 'ContentType', 'db_table': "'django_content_type'"},
            'app_label': ('django.db.models.fields.CharField', [], {'max_length': '100'}),
            u'id': ('django.db.models.fields.AutoField', [], {'primary_key': 'True'}),
            'model': ('django.db.models.fields.CharField', [], {'max_length': '100'}),
            'name': ('django.db.models.fields.CharField', [], {'max_length': '100'})
        },
        'reviewsapp.architecture': {
            'Meta': {'object_name': 'Architecture'},
            u'id': ('django.db.models.fields.AutoField', [], {'primary_key': 'True'}),
            'tag': ('django.db.models.fields.CharField', [], {'unique': 'True', 'max_length': '16'})
        }
    }

    complete_apps = ['clickreviews']