from reviewsapp.tests.factory import TestCaseWithFactory


class AdminViewConfigurationTestCase(TestCaseWithFactory):
    """Ensure there are no configuration issues with the admin site."""

    def setUp(self):
        super(AdminViewConfigurationTestCase, self).setUp()

    def test_login(self):
        response = self.client.get("/admin/reviewsapp/review/")
        self.assertTemplateUsed(response, 'admin/login.html')

    def test_login_form_contains_csrf_token(self):
        response = self.client.get("/admin/reviewsapp/review/")

        self.assertIn('csrftoken', response.cookies)

        csrftoken = response.cookies['csrftoken'].value
        tag = ("<input type='hidden' "
               "name='csrfmiddlewaretoken' value='%s' />") % csrftoken

        self.assertContains(response, tag)
